:root {
  --color-orange: #ec732c;
  --color-orange-dark: #e15707;
  --color-orange-light: #f1a510;
  --color-neutral: #6e7a81;
  --color-neutral-light: #e0d9d5;
  --color-neutral-extra-light: #f5f3f2;
  --color-cyan: #00b5dd;
  --color-cyan-dark: #008aa9;
  --color-yellow: #f4c543;
  --color-dark: #271e0c;
  --color-dark-60: #7d786d;
  --color-dark-15: #d4d2ce;
  --color-white: #ffffff;
  --color-content: #2e2d29;
  --color-success: #28a745;
  --color-error: #dc3545;
  --color-disable: #f5f4f2;
  --font-family: Arial, Helvetica, sans-serif;
  --font-family-form: Helvetica, sans-serif;
  --font-size: 14px;
}

body {
  font-family: var(--font-family);
}

h1 {
  font-size: 46px;
  font-weight: 400;
  line-height: 52px;
  letter-spacing: -0.5px;
}

h2 {
  font-size: 36px;
  font-weight: 400;
  line-height: 42px;
  color: var(--color-orange);
}

h3 {
  font-size: 32px;
  font-weight: 700;
  line-height: 37px;
  color: var(--color-neutral);
}

h4 {
  font-size: 22px;
  font-weight: 400;
  line-height: 28px;
  color: var(--color-content);
}

h5 {
  font-size: 18px;
  font-weight: 700;
  line-height: 23px;
  letter-spacing: 0.15px;
  color: var(--color-content);
}

h6 {
  font-size: 16px;
  font-weight: 400;
  line-height: 18px;
  letter-spacing: 0.15px;
  color: var(--color-content);
}

p {
  font-size: 14px;
  line-height: 16px;
  letter-spacing: 0.3px;
  color: var(--color-content);
}

strong,
b {
  font-weight: 700;
}

a {
  text-decoration: underline;
  letter-spacing: 0.3px;
  color: var(--color-content);
}

a.small {
  font-size: 12px;
  line-height: 14px;
  letter-spacing: 0.3px;
  text-decoration: none;
  color: var(--color-content);
}

a:hover,
a.small:hover {
  color: var(--color-orange);
}

.subheading {
  font-size: 26px;
  font-weight: 400;
  line-height: 28px;
  letter-spacing: 0.15px;
  color: var(--color-content);
}

label {
  font-family: var(--font-family-form);
  font-size: 16px;
  line-height: 30px;
}

.elabel .required,
label .required {
  font-family: var(--font-family-form);
  font-size: 16px;
  line-height: 30px;
  color: var(--color-orange-dark);
  font-weight: 700;
}

.elabel .optional,
label .optional {
  font-family: var(--font-family-form);
  font-size: 16px;
  line-height: 30px;
  color: var(--color-neutral);
  font-style: italic;
}

.form-help {
  font-family: var(--font-family-form);
  font-size: 12px;
  line-height: 30px;
  color: var(--color-neutral);
}

.field-validation-error {
  font-family: var(--font-family-form);
  font-size: 12px;
  color: var(--color-error);
  display: block;
  margin-top: 4px;
}

.input-validation-error input[type="text"].awe-txt,
textarea.input-validation-error,
.input-validation-error select,
.input-validation-error.awe-ajaxradiolist-field .o-ddbtn {
  border: 1px solid var(--color-error) !important;
}

input::placeholder {
  font-family: var(--font-family-form);
  color: var(--color-neutral);
  font-size: 16px;
  line-height: 30px;
}

.efield {
  margin-bottom: 16px;
}

form .subheading {
  margin-bottom: 30px;
}
form h5 {
  margin-bottom: 20px;
}

.form-footer {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 10px;
  margin: 18px 0;
}

.form-footer .left,
.form-footer .right {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 10px;
  flex-wrap: wrap
}

.form-footer .left {
  justify-content: flex-start;
}

.form-footer .right {
  justify-content: flex-end;
}

@media (min-width: 992px) {
  .form-footer .left,
  .form-footer .right {
    flex-direction: row;     
  }

  .form-footer .left .awe-btn,
  .form-footer .right .awe-btn {
    flex: 0 0 auto;     
  }
}

hr {
  background-color: var(--color-orange);
  opacity: initial;
  margin: 26px 0;
}

hr.secondary {
  background-color: var(--color-neutral-light);
}

/*InForms*/
.awe-btn,
.awe-il,
.awe-ce-ico,
.awe-loading,
.awe-loading span,
.awe-grid .awe-pager,
.awe-grid .awe-relbox,
.awe-groupbar .awe-col,
.awe-sord,
.awe-rem,
.awe-reload-ico,
.awe-field {
  display: inline-block;
  zoom: 1;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  vertical-align: middle;
  position: relative;
}

.awe-field {
  display: block;
}

.awe-chk-field {
  display: inline-block;
}

.awe-timepicker-field select {
  width: auto;
}

.awe-ajaxdropdown-field select.awe-display {
  font-family: var(--font-family-form);
  font-size: 16px;
  font-weight: 400;
  color: var(--color-content);
  line-height: 30px;
  padding: 4px 5px;
  border-radius: 3px;
  height: 40px;
  border: 1px solid var(--color-dark-15);
}

.awe-multilookup-field,
.awe-lookup-field,
.awe-datepicker-field {
  min-width: 13em;
  line-height: normal;
}

.awe-datepicker-field input {
  position: relative;
}

.awe-datepicker-field .awe-btn {
  border: none;
  background: none;
  position: absolute;
  padding: 15px;
  top: 5px;
  right: 1px;
}

.awe-datepicker-field .awe-btn:disabled {
  background: #eee !important;
}

.awe-inl {
  padding-right: 0;
}

.awe-display {
  display: flex;
  flex: 1;
  width: 100%;
}

.awe-display .awe-label {
  font-weight: normal;
}

.awe-chk-field .awe-display {
  width: auto;
  margin: 0;
}

.awe-display input[type="radio"],
.awe-display input[type="checkbox"] {
  margin: 0;
  margin-right: 3px;
  vertical-align: middle;
}

.awe-caption {
  padding: 0.2em 0.7em;
}

.awe-multilookup-field .awe-display,
.awe-lookup-field .awe-display,
.awe-datepicker-field .awe-display {
  vertical-align: middle;
  background: #fff;
  border-radius: 3px 0 0 3px;
}

.awe-lookup-field .awe-display,
.awe-datepicker-field .awe-display {
  box-sizing: border-box;
  list-style: none;
  margin: 0;
  width: 100%;
  overflow: hidden;
  margin: 0;
  font-size: inherit;
}

.awe-datepicker-field input[type="text"].awe-display {
  border-radius: 3px 0 0 3px;
}

.awe-datepicker-field input::-ms-clear {
  display: none;
}

.awe-lookup-field .awe-display {
  border: 1px solid gainsboro;
  display: flex;
  align-items: center;
}

.awe-multilookup-field .awe-display {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  list-style: none;
  margin: 0;
  padding: 0;
  border: solid 1px gainsboro;
  display: flex;
  flex-flow: column;
  justify-content: center;
  padding: 0.2em 0;
}

.awe-multilookup-field .awe-display li {
  padding: 0.2em 0.7em;
  line-height: 1.2em;
}

.awe-ajaxradiolist-field input,
.awe-ajaxradiolist-field label,
.awe-ajaxcheckboxlist-field label,
.awe-ajaxcheckboxlist-field input {
  cursor: pointer;
}

.awe-ajaxradiolist-field ul,
.awe-ajaxcheckboxlist-field ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

.awe-ajaxradiolist-field .o-ddbtn {
  border: 1px solid var(--color-dark-15);
  flex-grow: 1;
  padding: 4px 10px;
  background: none;
  font-family: var(--font-family-form);
  font-size: 16px;
  font-weight: 400;
  color: var(--color-content);
  line-height: 30px;
  border-radius: 3px;
}

/* ajaxlist */

table.awe-ajaxlist {
  border-spacing: 0;
  border-collapse: separate;
  table-layout: fixed;
}

table.awe-ajaxlist th:first-child {
  border-radius: 2px 0 0 0;
}

table.awe-ajaxlist th:last-child {
  border-radius: 0 2px 0 0;
}

table.awe-ajaxlist tr:last-child td:last-child {
  border-radius: 0 0 2px 0;
}

table.awe-ajaxlist tr:last-child td:first-child {
  border-radius: 0 0 0 2px;
}

.awe-ajaxlist {
  padding: 0;
  width: 100%;
  *width: 99%;
  border-radius: 2px;
  border: 1px solid gainsboro;
}

.awe-ajaxlist.awe-lookup-list {
  border: none;
}

.awe-ajaxlist li.awe-li {
  overflow: hidden;
  padding: 0.39em;
}

li.awe-li.awe-morecont,
tr.awe-li.awe-morecont {
  padding: 1px;
  background: #fff;
  border-radius: 2px;
}

.awe-ajaxlist th,
.awe-ajaxlist td,
.awe-list td,
.awe-list th {
  padding: 7px 10px;
  overflow: hidden;
  text-overflow: ellipsis;
}

.awe-morecont td {
  padding: 2px;
}

.awe-ajaxlist th,
.awe-ajaxlist td {
  border-bottom: 1px solid #eee;
}

.awe-ajaxlist thead,
.awe-list thead {
  color: #555;
  background-color: #fafafa;
}

.awe-list table {
  width: 100%;
  border-collapse: collapse;
  table-layout: fixed;
}

.awe-list ul,
.awe-ajaxlist {
  padding: 0;
  margin: 0;
  list-style: none;
}

.awe-srlcont,
.awe-selcont {
  margin-top: 0.5em;
}

tr.awe-li {
  border-top: 1px solid gainsboro;
}

.awe-li:not(.awe-morecont) {
  line-height: 2em;
  background-color: #fff;
  margin: 1px;
  vertical-align: middle !important;
  border-bottom: 1px solid #e5e5e5;
}

/* lookup multilookup */

.awe-multilookup-popup .awe-list,
.awe-lookup-popup .awe-list {
  border-radius: 3px;
  border: gainsboro solid 1px;
  overflow-y: scroll !important;
}

.awe-lookup-popup .awe-li,
.awe-multilookup-popup .awe-li {
  padding: 5px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.awe-multilookup-popup .awe-ajaxlist li.awe-li,
.awe-drag.awe-li {
  padding: 3px 5px;
}

tr.awe-drag td {
  padding-right: 10px;
}

.awe-selectable li.awe-li:not(.awe-morecont):hover {
  outline: 1px solid gold;
}

.awe-selectable tr.awe-li:not(.awe-morecont):hover {
  outline: 1px solid gold;
  outline-offset: -1px;
}

/* buttons */
.awe-btn {
  padding: 10px 40px;
  text-align: center;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  margin: 0;
  cursor: pointer;
  border-radius: 8px;
  font-family: var(--font-family);
  font-size: 18px;
  font-weight: bold;
  line-height: 22px;
  text-decoration: none;
}

.awe-morebtn,
.awe-spincont {
  padding: 0.45em 0.9em;
  text-align: center;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  margin: 0;
  font: inherit;
  cursor: pointer;
  border: 1px solid #d3d3d3;
  background-image: linear-gradient(to bottom, #fcfcfc 0, #f8f8f8 100%);
  background-color: #f8f8f8;
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
  border-radius: 2px;
  color: #333;
}

.awe-btn.button-primary {
  background: var(--color-orange-light);
  border: 1px solid var(--color-orange-light);
  color: var(--color-dark);
}

.awe-btn.button-primary:enabled:hover {
  background: var(--color-orange-dark);
  color: #ffffff;
  transition: all 0.3s;
}

.awe-btn.button-secondary {
  background: var(--color-white);
  border: 1px solid var(--color-orange);
  color: var(--color-orange);
}

.awe-btn.button-secondary:enabled:hover {
  background: var(--color-orange-dark);
  color: #ffffff;
  transition: all 0.3s;
}

.awe-btn.button-terciary {
  background: var(--color-orange);
  border: 1px solid var(--color-orange);
  color: var(--color-white);
}

.awe-btn.button-terciary:enabled:hover {
  background: var(--color-orange-dark);
  border: 1px solid var(--color-orange-dark);
}

.awe-btn::-moz-focus-inner {
  border: 0;
  padding: 0;
}

.awe-btn:hover,
.awe-morebtn:hover {
  /* background-color: #eee;
  background-image: linear-gradient(to bottom, #f8f8f8 0, #eee 100%);
  border-color: #c5c5c5;
  color: #333; */
}

.awe-btn:active,
.awe-morebtn:active,
.awe-btn.awe-selected,
.o-btng .awe-btn:active,
.o-btng .awe-btn.awe-selected,
.awe-footer .awe-btn.awe-selected {
  /* box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.2);
  border: 1px solid #c5c5c5;
  background-color: #e9e9e9;
  background-image: none; */
}

.awe-btn.awe-selected.awe-spinbtn {
  box-shadow: inset 0 0 2px rgba(0, 0, 0, 0.25), 0 1px 0 white;
}

.awe-btn.awe-disabled,
/* .awe-btn[disabled], */
.awe-disabled .awe-btn,
.awe-disabled .awe-btn.awe-spinbtn {
  box-shadow: none;
  background: #f8f8f8 !important;
  border-color: gainsboro !important;
  color: #9faf9a !important;
  cursor: default;
  text-shadow: none;
}

.awe-btn.button-primary[disabled],
.awe-btn.button-secondary[disabled],
.awe-btn.button-terciary[disabled] {
  opacity: 0.5;
  cursor: not-allowed;
}

.awe-disabled .awe-clearbtn[disabled] {
  border: none;
  background: transparent;
}

.awe-disabled .awe-caption,
.awe-disabled .awe-display {
  color: gray;
}

.awe-disabled .o-caret {
  color: gray;
}

.awe-btn[disabled] .awe-icon {
  opacity: 0.5;
}

.awe-morebtn {
  text-align: center;
  padding: 7px 9px;
  margin: 3px;
  border-radius: 2px;
}

.awe-openbtn,
.awe-dpbtn,
.awe-clrbtn {
  border-radius: 0 2px 2px 0;
  width: 2.2em;
  padding: 0.45em 0.3em;
  flex-shrink: 0;
}

.awe-hasclr .awe-openbtn,
.awe-hasclr .awe-dpbtn {
  border-radius: 0 !important;
}

.awe-openbtn,
.awe-multilookup-field .awe-clrbtn,
.awe-lookup-field .awe-clrbtn {
  align-self: flex-start;
  min-height: 2.3em;
}

.o-mltsl .awe-clrbtn {
  align-self: flex-start;
  min-height: 2.5em;
}

.awe-movebtn {
  padding: 0;
  margin: 1px 5px;
  vertical-align: middle;
  height: 30px;
  width: 36px;
  position: relative;
}

/* icons */

.awe-icon {
  display: block;
  height: 18px;
  width: 19px;
  overflow: hidden;
  background-repeat: no-repeat;
  background-image: url(awe_icons.png);
  position: absolute;
  top: 50%;
  left: 50%;
  margin-left: -9.5px;
  margin-top: -9px;
}

.awe-icon-datepicker {
  background-position: -8px -50px;
}

.awe-icon-x {
  background-position: -35px -28px;
}

.awe-icon-win {
  background-position: -9px -28px;
}

.awe-movebtn .awe-icon {
  background-position: -8px -5px;
}

.awe-sel .awe-movebtn .awe-icon {
  background-position: -35px -5px;
}

/* pager */

.awe-pager .awe-btn {
  height: inherit;
  padding: 7px 12px;
  text-decoration: none;
  margin-right: 0.2em;
}

/* grid */

.awe-grid {
  border-radius: 2px;
  background: #fafafa;
  transform: translate(0, 0);
  border: 1px solid gainsboro;
}

.awe-mcontent {
  position: relative;
  overflow: hidden;
}

.awe-tablc {
  background: #fff;
  position: relative;
}

.awe-gfc {
  display: none;
}

.awe-gfc .awe-tablc {
  overflow-x: scroll;
}

.awe-tablw {
  position: relative;
}

.awe-hcon {
  overflow: hidden;
  position: relative;
}

.awe-tablc {
  overflow-x: auto;
}

.awe-grid table {
  table-layout: fixed;
  width: 99.99%;
  border-collapse: separate;
  border-spacing: 0;
}

.awe-resh {
  position: absolute;
  background-color: transparent;
  width: 10px;
  height: 10px;
  cursor: col-resize;
  z-index: 11001;
}

.awe-reh {
  position: absolute;
  width: 10px;
  z-index: 11001;
}

.awe-reh .awe-spindown-ico {
  top: -5px;
}

.awe-reh .awe-spinup-ico {
  top: auto;
  bottom: -5px;
}

.awe-drag {
  position: absolute;
  border-radius: 3px;
  z-index: 11002 !important;
  list-style: none;
  opacity: 0.97;
  cursor: default;
}

.awe-drag.awe-li,
.awe-drag.awe-dcol {
  border: 1px solid gainsboro;
  background: #fafafa;
}

.awe-grid .awe-groupbar {
  box-sizing: border-box;
  border-bottom: 1px solid gainsboro;
  color: #777;
  line-height: 2.5em;
  padding: 5px 10px;
}

.awe-nest {
  background: #fafafa;
}

.awe-nestcell {
  padding: 0;
  background: #fff;
}

.awe-nestcell > .awe-ldgcnt .awe-loading {
  position: static;
  padding: 0.5em;
}

.awe-row,
.awe-ghead,
.awe-gfoot,
.awe-hrow {
  line-height: 2em;
}

.awe-row td,
.awe-ghead,
.awe-gfoot,
.awe-nest td {
  background: #fff;
}

.awe-row td,
.awe-ghead td,
.awe-gfoot td,
.awe-nest td {
  border-bottom: 1px #eaeaea solid;
}

.awe-hrow td {
  padding: 0;
  border-bottom: 1px solid gainsboro;
}

.awe-hgc {
  border-bottom: 1px solid gainsboro;
}

.awe-ghead td,
.awe-row td,
.awe-gfoot td {
  padding: 0.4em 0.7em;
}

.awe-hrow td,
.awe-row td,
.awe-gfoot td {
  overflow: hidden;
  text-overflow: ellipsis;
}

.awe-row.awe-alt td,
.awe-li:nth-child(even):not(.awe-morecont) {
  background: #fafafa;
}

.awe-grid .awe-footer {
  padding: 0 0.3em;
  line-height: 2.2em;
  overflow: auto;
  border-top: 1px solid #ccc;
}

.awe-relbox {
  width: 5em;
}

.awe-relbox .awe-ldgcnt {
  margin: 0 7px;
}

.awe-grid .awe-pager,
.awe-grid .awe-relbox {
  vertical-align: middle;
}

.awe-reload {
  margin-right: 0.1em;
}

.awe-grid .awe-footer .awe-btn {
  line-height: 2.2em;
  text-decoration: none;
  padding: 0 0.7em;
  min-width: 2.5em;
  margin-bottom: 0.2em;
  margin-top: 0.2em;
  height: 2.3em;
}

.awe-idn {
  width: 16px;
}

@media (max-width: 1000px) {
  .awe-grid .awe-footer .awe-btn {
    min-width: 2.2em;
  }
}

.awe-header td,
.awe-header,
.awe-hrow .awe-idn,
.awe-drag.awe-dcol,
.o-fzhgw {
  background-image: linear-gradient(to bottom, #fcfcfc 0, #f8f8f8 100%);
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
  background-color: #f8f8f8;
  color: #333;
  -moz-user-select: -moz-none;
  -webkit-user-select: none;
  user-select: none;
}

.awe-col {
  padding: 0.3em;
  color: #333;
  line-height: 26px;
  font-weight: 600;
}

.awe-groupbar .awe-col {
  margin-right: 2px;
  border-radius: 2px;
  padding: 1px 3px 3px 5px;
  border: 1px solid #ccc;
  user-select: none;
}

.awe-remb {
  padding: 0 5px 0 7px;
  cursor: pointer;
}

.awe-sortable,
.awe-groupable {
  cursor: pointer;
}

.awe-sord,
.awe-rem,
.awe-reload-ico {
  width: 16px;
  height: 16px;
  vertical-align: middle;
}

.awe-desc .awe-sord,
.awe-asc .awe-sord,
.awe-rem,
.awe-reload-ico {
  background-image: url("awe_icons.png");
  cursor: pointer;
}

.awe-cbc {
  position: relative;
  display: inline-block;
  height: 20px;
  width: 20px;
  vertical-align: middle;
}

.awe-ce-ico,
.o-caret {
  width: 0;
  height: 0;
  margin-left: -5px;
  vertical-align: middle;
  border-top: 7px solid;
  border-right: 5px solid rgba(0, 0, 0, 0);
  border-left: 5px solid rgba(0, 0, 0, 0);
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -5px;
  color: #6b7069;
  border-radius: 2px;
}

td.awe-lf {
  padding-left: 0.97em;
}

.awe-ceb {
  cursor: pointer;
}

.awe-collapsed .awe-ce-ico {
  /* background-position: -1px 19px; */
  transform: rotate(-90deg);
}

.awe-reload-ico {
  width: 11px;
  background-position: -12px 23px;
}

.awe-rem {
  background-position: -37px -30px;
}

.awe-asc .awe-sord {
  background-position: -37px -76px;
}

.awe-desc .awe-sord {
  background-position: -37px -52px;
}

.awe-selectable.awe-row:hover {
  outline: 1px solid gold;
  outline-offset: -1px;
}

/* misc */

.awe-searchtxt {
  margin-right: 2px !important;
}

.awe-lookup-popup .awe-li.awe-selected,
.awe-row.awe-selected,
.awe-row.awe-selected td {
  background-color: #fff0bf;
}

.awe-highlight {
  background-color: #f8f8f8 !important;
  color: gray !important;
}

.awe-ts,
.awe-ts.awe-row td {
  transition: all 0.5s ease-in-out;
}

.awe-hl,
.awe-hl.awe-row td {
  background: #f8da4e !important;
  color: #915608;
}

.awe-changing,
.awe-changing.awe-display {
  animation: awe-hanim 1s cubic-bezier(0.55, 0, 0.46, 1);
}

@keyframes awe-hanim {
  0%,
  1% {
    background: #f8da4e;
    color: #915608;
  }
}

.awe-ldgcnt {
  position: relative;
}

.awe-loading {
  position: absolute;
  z-index: 1;
}

.awe-loading span {
  background-image: url("loading.gif");
  width: 16px;
  height: 11px;
  margin: 0;
  padding: 0;
  background-repeat: no-repeat;
}

.awe-field .awe-loading,
.awe-list .awe-loading {
  margin-left: 10px;
}

.awe-loadcont {
  list-style: none;
}

.awe-load {
  color: #ccc;
}

.awe-morecont .awe-loading {
  position: static;
  height: 3em;
}

/* textbox */
.awe-elcont {
  display: flex;
  flex: 1;
}

input.awe-display.awe-txt {
  width: 100%;
}

input[type="text"].awe-txt,
.awe-searchtxt,
textarea {
  font-family: var(--font-family-form);
  font-size: 16px;
  line-height: 30px;
  border-radius: 3px;
  margin: 0;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.1);
  height: inherit;
  box-sizing: border-box;
  padding: 4px 10px;
  color: var(--color-content);
  border: 1px solid var(--color-dark-15);
}

input:not([type="submit"]):focus,
.o-ddbtn:focus,
select:focus,
textarea:focus {
  outline-style: auto;
  outline-width: 1px;
  outline-color: var(--color-orange);
}

.awe-hasspn input[type="text"].awe-txt,
.awe-hasclr input[type="text"].awe-txt {
  border-radius: 2px 0 0 2px;
}

.awe-disabled input[type="text"].awe-txt,
input[type="text"].awe-txt.awe-disabled,
.awe-disabled .o-mltic,
select:disabled,
textarea:disabled,
.awe-ajaxradiolist-field.awe-disabled .awe-btn {
  background: var(--color-disable) !important;
  color: var(--color-neutral) !important;
}

textarea {
  display: block;
  width: 100%;
}

.awe-disabled div,
.awe-disabled label,
.awe-disabled input {
  cursor: default;
}

.awe-spincont {
  width: 2.2em;
  border-radius: 0 3px 3px 0;
  padding: 0;
  box-sizing: border-box;
  flex-shrink: 0;
}

.awe-hasclr .awe-spincont {
  border-radius: 0;
}

.awe-btn.awe-spinbtn {
  width: 100%;
  height: 50%;
  border-radius: 0 2px 0 0;
  display: block;
  border: none;
  outline: none;
  background: none;
  padding: 5px 5px;
}

.awe-spindown.awe-spinbtn {
  border-radius: 0 0 2px 0;
}

.awe-spinup-ico {
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: -4px;
  vertical-align: middle;
  border-bottom: 4px solid;
  border-right: 4px solid gray;
  border-right: 4px solid rgba(0, 0, 0, 0);
  border-left: 4px solid gray;
  border-left: 4px solid rgba(0, 0, 0, 0);
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -2px;
}

.awe-spindown-ico {
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: -4px;
  vertical-align: middle;
  border-top: 4px solid;
  border-right: 4px solid #000;
  border-right: 4px solid rgba(0, 0, 0, 0);
  border-left: 4px solid #000;
  border-left: 4px solid rgba(0, 0, 0, 0);
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -2px;
}

/* tabs */

.awe-tab-btn {
  background-color: #f7f7f7;
  border: 1px solid gainsboro;
  padding: 0.45em 0.75em;
  border-bottom: none;
  border-radius: 0.5em 0.5em 0 0;
  cursor: pointer;
}

.awe-tab-btn.awe-active {
  background: #fff;
  border: 1px solid #dcdcdc;
  margin-bottom: -2px;
  border-bottom: 1px solid #fff;
}

.awe-tab-btn:focus {
  outline: thin dotted;
  outline-offset: -3px;
}

.awe-tabscontent {
  overflow: auto;
  border: 1px solid gainsboro;
}

/* end tabs */

/* rtl */

.awe-rtl .awe-collapsed .awe-ce-ico {
  transform: rotate(90deg);
}

.awe-rtl.awe-multilookup-field .awe-display,
.awe-rtl.awe-lookup-field .awe-display,
.awe-rtl.awe-datepicker-field .awe-display {
  border-radius: 0 2px 2px 0;
}

.awe-rtl .awe-openbtn,
.awe-rtl .awe-dpbtn,
.awe-rtl .awe-clearbtn {
  left: 0;
  right: auto;
}

.awe-rtl.awe-datepicker-field input[type="text"].awe-display {
  border-radius: 0 2px 2px 0;
  padding-right: 0.75em;
}

.awe-rtl .awe-spinbtn {
  border-radius: 2px 0 0 0;
}

.awe-rtl .awe-spindown.awe-spinbtn {
  border-radius: 0 0 0 2px;
}

.awe-rtl.awe-hasspn input[type="text"].awe-txt,
.awe-rtl.awe-hasclr input[type="text"].awe-txt,
.awe-rtl input.o-cbxt[type="text"] {
  border-radius: 0 2px 2px 0;
}

.awe-rtl .awe-openbtn,
.awe-rtl .awe-dpbtn,
.awe-rtl .awe-clrbtn,
.awe-rtl .awe-spincont {
  border-radius: 2px 0 0 2px;
}

/* grid rtl ltr*/

.awe-rtl .awe-relbox .awe-loading {
  right: 0;
}

.awe-rtl .awe-relbox .awe-ldgcnt {
  margin: 0 9px;
}

.awe-ltr .awe-hrow td,
.awe-ltr .awe-row td,
.awe-ltr .awe-gfoot td,
.awe-ltr .awe-ghead td {
  border-right: 1px solid gainsboro;
}

.awe-rtl .awe-hrow td,
.awe-rtl .awe-row td,
.awe-rtl .awe-gfoot td,
.awe-rtl .awe-ghead td {
  border-left: 1px solid gainsboro;
}

.awe-ltr.awe-nh .awe-hrow td:last-child,
.awe-ltr.awe-nh .awe-row td:last-child,
.awe-ltr.awe-nh .awe-gfoot td:last-child,
.awe-ltr.awe-nh .awe-ghead td:last-child {
  border-right: none;
}

.awe-rtl.awe-nh .awe-hrow td:last-child,
.awe-rtl.awe-nh .awe-row td:last-child,
.awe-rtl.awe-nh .awe-gfoot td:last-child,
.awe-rtl.awe-nh .awe-ghead td:last-child {
  border-left: none;
}

.awe-ltr .awe-hrow td {
  text-align: left;
}

.awe-rtl .awe-hrow td {
  text-align: right;
}

.awe-ltr .awe-idn {
  border-right: none !important;
  padding: 0;
}

.awe-rtl .awe-idn {
  border-left: none !important;
}

.awe-rtl .awe-col {
  padding-right: 0.7em;
}

.awe-ltr .awe-col {
  padding-left: 0.7em;
}

.awe-rtl td.awe-lf {
  padding-right: 0.97em;
}

.o-pad {
  padding: 0.1em 0.5em;
}

/*odropdown*/

.o-field .awe-loading {
  position: absolute;
  z-index: 1;
  margin: 4px 0 0 10px;
}

.awe-rtl .o-field .awe-ldgcnt {
  position: absolute;
  right: 10px;
}

.o-menu [type="radio"],
.o-dd [type="checkbox"] {
  display: none;
}

.o-dd {
  cursor: pointer;
  position: relative;
  min-width: 12em;
  line-height: normal;
  height: 100%;
  display: flex;
  flex: 1;
  width: 100%;
}

.o-disp {
  display: flex;
  flex: 1;
  width: 100%;
}

.o-caret {
  margin-left: -4px;
  border-top: 4px solid;
  border-right: 4px solid rgba(0, 0, 0, 0);
  border-left: 4px solid rgba(0, 0, 0, 0);
  margin-top: -2px;
  color: inherit;
}

.o-o {
  display: inline-block;
  width: 0;
  height: 0;
  vertical-align: middle;
  top: 50%;
  left: 50%;
  border-radius: 3px;
  padding: 3px;
  background: #7b7b7b;
  margin: -2px 1px 0 1px;
}

.o-cls {
  position: absolute;
  top: 0;
  right: 0;
  cursor: pointer;
  color: #ffffff;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

.o-cls:hover {
  opacity: 1;
}

.o-menu {
  display: none;
  position: absolute;
  z-index: 1000;
  border-radius: 3px;
  -webkit-background-clip: padding-box;
  padding: 6px 0;
  list-style: none;
  box-sizing: border-box;
  outline: none;
  top: 0;
  border: 1px solid rgba(100, 100, 100, 0.4);
  background: rgba(255, 255, 255, 0.98);
  -webkit-box-shadow: 0 3px 8px rgba(0, 0, 0, 0.25);
}

.o-menu .o-itsc {
  overflow-x: hidden;
}

.o-menu .o-mnits {
  width: 100%;
  list-style: none;
  margin: 0;
  padding: 0;
  outline: none;
}

.o-menu.open {
  display: flex;
  flex-flow: column;
}

.o-itm {
  padding: 0 27px;
  cursor: pointer;
  position: relative;
  line-height: 3.1em;
}

.o-mobl .o-itm {
  padding: 4.5px 27px;
}

.o-itm.focus {
  background-color: #eee;
}

.o-itm.selected {
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABYAAAAKCAYAAACwoK7bAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9sLHAoAB0rBjw8AAAEZSURBVCjPrZK9SsRQEEbPTVLI5gl2U9sIgmQSEEUIWGmfwkbBRrRXfAEVLOxsLCxsBcHHMCSsEIjN1hutJCIYg+TaRFllwQiZcr5vDvOn6DA8z9vUWp8qpfY7g4rIoYho13WvAIwOmEpEjoETICvLcg/A6gB6DuwCb3Vdh1mWvbYGi8g8QJIk6UTaEJFLYAtAKbUzHA6zL9H8CxoEwUxVVTdaa7ff73/kef4QhqHZ6/WugY0GehHH8dGPUdp07Pv+Ql3XUdPIGTAHrDfyfVEUi6PR6H2yxmwDHo/Hj4PB4AVYA5aA2UYqLMtaSdP0+XeN2fZKeZ7fOY5jA8vfSzaM1SiKsmn+f71bHMcHwC3wpLXetm07AvQ07yddElvdEn1epgAAAABJRU5ErkJggg==)
    no-repeat left center rgba(0, 0, 0, 0);
}

.o-itm.selected.focus {
  background-color: #eee;
}

.o-itm .awe-idn {
  display: inline-block;
}

.o-itmg {
  font-weight: bold;
}

.o-itm .awe-cbc {
  width: 2em;
  height: 2em;
}

.o-ddbtn {
  display: flex;
  text-align: left;
  align-items: stretch;
}

.o-ddbtn,
.o-favb {
  flex-grow: 1;
  line-height: 1.5;
  vertical-align: middle;
  overflow: hidden;
  padding: 0.375em 0.75em;
}

.o-hasclr .o-ddbtn {
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
}

.o-hasfav .o-ddbtn {
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
}

.o-favs .o-ddbtn {
  flex-grow: 0;
}

.o-favb {
  flex-grow: 1;
  border-radius: 0;
}

.o-field .o-favb:first-child {
  border-bottom-left-radius: 3px;
  border-top-left-radius: 3px;
}

.o-ddbtn .o-cptn {
  flex-grow: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  padding-right: 0.5em;
}

.o-hasfav .o-ddbtn .o-cptn {
  display: none;
}

/* .o-ddbtn .awe-focus {
  outline: auto;
  outline-color: var(--color-orange);
  outline-style: auto;
  outline-width: 1px;
} */

.awe-rtl .o-cptn {
  padding-right: 0;
  padding-left: 1.75em;
  text-align: right;
}

.o-slbtn {
  width: 0.7em;
  text-align: center;
  position: relative;
}

.awe-rtl .o-slbtn {
  right: auto;
  left: 0;
}

.o-srcc {
  position: relative;
  padding: 5px;
  display: flex;
  border-bottom: 1px solid gainsboro;
}

.o-srcc input[type="text"].o-src {
  border: none;
  box-shadow: none;
  outline: none;
  background: transparent;
}

.o-srcc .awe-loading {
  top: 8px;
  right: 20px;
  display: none;
}

.o-disp .awe-loading {
  right: 30px;
  display: none;
}

.o-mltsl .o-disp .awe-loading {
  right: 10px;
  top: 3px;
}

.o-ldng .awe-loading {
  display: block;
}

input[type="text"].o-src {
  flex-grow: 1;
  cursor: auto !important;
  box-sizing: border-box;
}

.o-empt {
  text-align: center;
  color: #ccc;
  padding: 0.5em;
}

.o-info {
  text-align: center;
  color: #aaa;
  font-size: 0.8em;
  padding: 0.5em 1em;
}

/*button group*/

.o-btng {
  display: inline;
  display: inline-block;
}

.o-btng .awe-btn {
  border-radius: 0;
  padding: 7px;
  font-size: 0.9em;
}

.o-btng .awe-btn:first-of-type,
.awe-rtl.o-btng .awe-btn:last-of-type {
  border-radius: 3px 0 0 3px;
}

.o-btng .awe-btn:last-of-type,
.awe-rtl.o-btng .awe-btn:first-of-type {
  border-radius: 0 3px 3px 0;
}

/*multiselect*/

.o-mlti {
  border-radius: 3px;
  margin-right: 2px;
  padding: 2px 27px 2px 7px;
  line-height: 1.5em;
}

.awe-rtl .o-mlti {
  margin-right: 0;
  margin-left: 2px;
}

.o-mltic input.o-src {
  border: none !important;
  width: 0;
  padding: 0;
  outline: none;
  box-shadow: none !important;
}

.o-mltic {
  background: #fff;
  cursor: text;
  border: 1px solid gainsboro;
  padding: 0.1em 0.3em;
  border-radius: 2px;
  line-height: 2.1em;
  flex-grow: 1;
}

.o-hasclr .o-mltic {
  border-radius: 2px 0 0 2px;
}

.o-mltrem {
  cursor: pointer;
  padding: 2px 8px;
  position: absolute;
  top: 0;
  right: 0;
}

.o-mltic .o-cptn {
  color: rgb(159, 170, 175);
  padding: 0 5px;
}

/*color dropdown*/

.o-clitm {
  width: 100%;
  display: block;
  border-radius: 3px;
}

.o-cldd .o-cptn {
  display: block;
}

.o-cldd .o-color {
  border-radius: 2px;
  min-width: 1.5em;
}

.o-clmenu .o-itm {
  padding: 2px 27px;
  line-height: 2.2em;
}

/*img dropdown*/

.o-igdd img {
  width: 23px;
  margin-right: 0.5em;
  vertical-align: middle;
}

.o-igmenu .o-itm {
  min-width: 180px;
}

.o-igit img {
  vertical-align: middle;
  margin-right: 0.5em;
}

/* combobox */

.o-cbxbtn.awe-btn {
  width: 2.2em;
  border-radius: 0 3px 3px 0;
  text-align: center;
  flex-grow: 0;
}

.awe-rtl .o-cbxbtn {
  right: auto;
  left: 0;
  border-radius: 3px 0 0 3px;
}

.o-cbxbtn .o-slbtn {
  position: inherit;
  color: #333;
}

input.o-cbxt[type="text"] {
  margin: 0;
  border-radius: 3px 0 0 3px;
  font-size: inherit;
}

input.o-cbxt[type="text"]::-ms-clear {
  display: none;
}

/* dropdown popup */

.o-pmodal {
  position: fixed;
  background: gainsboro;
  top: 0;
  opacity: 0.5;
  height: 100%;
  width: 100%;
}

.o-pwrap {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

.o-phdr {
  position: relative;
  padding: 0.7em 1em;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.o-ptitl {
  line-height: 1.43;
  font-size: 1.1em;
}

.o-phdr .o-cls {
  font-size: 21px;
  padding: 0.5em 1em;
  font-size: 1.3em;
}

.o-pc {
  padding: 0.7em;
  position: relative;
  padding-bottom: 0.5em;
  overflow: auto;
  min-height: 35px;
  min-width: 250px;
  box-sizing: border-box;
}

.o-fpp {
  padding: 1em;
}

.o-pmc {
  position: absolute;
  z-index: 1;
  -webkit-background-clip: padding-box;
  min-height: 50px;
  outline: none;
  box-sizing: border-box;
  border-radius: 3px;
  border: 1px solid rgba(100, 100, 100, 0.4);
  background: rgba(255, 255, 255, 0.98);
  -webkit-box-shadow: 0 3px 8px rgba(0, 0, 0, 0.25);
}

.o-pmc .awe-li {
  -webkit-user-select: none; /* Chrome/Safari */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none;
}

.o-pmc .awe-multilookup-popup .awe-searchtxt,
.o-pmc .awe-lookup-popup .awe-searchtxt {
  width: 100%;
  box-sizing: border-box;
}

.o-pmc .awe-searchbtn {
  display: none;
}

.o-pbtns {
  text-align: right;
  padding: 0.5em 0.7em 0.7em;
  border-top: 1px solid gainsboro;
}

/* grid mods */

.o-gpginf {
  float: right;
  padding-right: 25px;
  min-width: 150px;
  margin-top: 0.3em;
}

.awe-rtl .o-gpginf {
  float: left;
  padding-right: initial;
  padding-left: 25px;
}

.o-gpgs {
  margin: 0 10px;
}

.o-gcolsl {
  float: right;
}

.o-gcolsl.awe-rtl {
  float: left;
}

.o-gcolsl .o-cptn,
.awe-rtl .o-gcolsl .o-cptn {
  padding-right: 0;
  padding-left: 0;
}

.o-gcolsl .o-slbtn {
  display: none;
}

.awe-footer .o-dd {
  min-width: inherit !important;
}

.awe-grid .awe-footer .o-dd {
  line-height: inherit;
}

.awe-grid .awe-footer .o-ddbtn .o-cptn {
  padding-top: 0;
  padding-bottom: 0;
}

.awe-footer .awe-btn {
  border: none;
  background: transparent !important;
}

@media (max-width: 550px) {
  .o-gpginf {
    display: none;
  }
}

@media (max-width: 730px) {
  .o-gpgs {
    display: none;
  }
}

/* inline popup, dropdownPopup */

.o-pbtn {
  min-width: 70px;
  margin-left: 0.5em;
}

.o-inltxt {
  vertical-align: middle;
  margin: 0 1em;
}

.o-inlp {
  margin: 0.5em;
  padding: 5px;
  position: relative;
}

.o-inlp .awe-popup {
  padding: 0.5em 0 1.5em;
  position: relative;
}

.o-nstcreate .awe-tablw {
  border-top: 1px solid gainsboro;
}

/* ingline editing grid */

.awe-row .awe-txt {
  width: 100%;
  padding: 1px 5px 1px;
}

.awe-row .awe-datepicker-field {
  width: 100%;
  min-width: initial;
}

.awe-row .awe-field {
  width: 100%;
  min-width: 0 !important;
}

.awe-row .o-dd {
  min-width: initial;
}

.o-glrow {
  vertical-align: top;
}

.o-gl {
  display: none;
}

.o-glrow .o-glh {
  display: none;
}

.o-glrow .o-gl {
  display: inherit;
}

.awe-row .o-glbtn {
  padding: 0.1em 0.5em;
  line-height: 1.7em;
}

/* custom loading */

.o-gempt {
  width: 100%;
  font-size: 7em;
  color: gainsboro;
  text-align: center;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  min-height: 150px;
}

@media (max-width: 1280px) {
  .o-gempt {
    font-size: 3em;
  }
}

.spinCont {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 3;
  background: rgba(242, 240, 240, 0.64);
  overflow: hidden;
}

.spinner {
  margin: 50px auto;
  width: 50px;
  height: 50px;
  position: relative;
  text-align: center;
  -webkit-animation: sk-rotate 2s infinite linear;
  animation: sk-rotate 2s infinite linear;
}

.dot1,
.dot2 {
  width: 60%;
  height: 60%;
  display: inline-block;
  position: absolute;
  top: 0;
  background-color: purple;
  border-radius: 100%;
  -webkit-animation: sk-bounce 2s infinite ease-in-out;
  animation: sk-bounce 2s infinite ease-in-out;
}

.dot2 {
  top: auto;
  bottom: 0;
  -webkit-animation-delay: -1s;
  animation-delay: -1s;
}

@-webkit-keyframes sk-rotate {
  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes sk-rotate {
  100% {
    transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
  }
}

@-webkit-keyframes sk-bounce {
  0%,
  100% {
    -webkit-transform: scale(0);
  }

  50% {
    -webkit-transform: scale(1);
  }
}

@keyframes sk-bounce {
  0%,
  100% {
    transform: scale(0);
    -webkit-transform: scale(0);
  }

  50% {
    transform: scale(1);
    -webkit-transform: scale(1);
  }
}

/* end custom loading */

/* scheduler */
.scheduler {
  border: 1px solid gainsboro;
}

.scheduler {
  margin-top: 5px;
}

.scheduler .agendaRow.awe-row td {
  padding: 5px;
}

.nextbtn,
.prevbtn {
  width: 30px;
}

.scheduler .awe-grid {
  border: none;
}

.schedBar .o-btng .awe-btn {
  height: 2.6em;
}

.schedBar .awe-datepicker-field {
  min-width: inherit;
  vertical-align: middle;
  width: 3em;
  height: 2em;
  margin-right: 0.2em;
}

.schedBar .awe-datepicker-field .awe-btn {
  border-radius: 2px;
}

.schedBar .awe-datepicker-field input[type="text"].awe-display {
  width: 0;
  padding: 0;
  border: none;
  flex: 0;
}

.schedBar {
  background: #fafafa;
  border-bottom: 1px solid gainsboro;
  padding: 0 0.3em 0.3em;
  overflow: auto;
}

.sbitem {
  margin-top: 0.3em;
  display: inline-block;
  vertical-align: middle;
}

.sbvtype {
  float: right;
}

@media (max-width: 670px) {
  .sbvtype {
    float: none;
  }
}

.schedBotBar {
  background: #fafafa;
  border-top: 1px solid gainsboro;
  padding: 5px;
}

.day {
  padding: 0.5em;
}

.day:hover {
  text-decoration: underline;
  cursor: pointer;
}

.schEvent {
  background: blueviolet;
  border-radius: 3px;
  padding: 0.3em;
  color: white;
  margin-bottom: 1px;
  overflow: hidden;
  font-size: 13px;
  line-height: 1.3em;
  position: relative;
}

.schEvent:not(:last-child) {
  margin-bottom: 3px;
}

.schTime {
  float: left;
}

.delEvent {
  background: transparent;
  padding: 0 0.5em;
  cursor: pointer;
  position: absolute;
  right: 0;
}

.timeLabel {
  padding: 0.5em;
}

.scheduler .awe-row td {
  padding: 0;
  vertical-align: top;
}

.eventTitle {
  clear: both;
}

.eventTitle:hover {
  text-decoration: underline;
  cursor: pointer;
}

/* end scheduler */

.modal-body {
  min-height: 100px;
}

/* keynav */

.awe-li.focus:not(.awe-selected),
.awe-row.focus:not(.awe-selected) {
  background: #f5f5f5 !important;
  outline: 1px solid #afafaf;
  outline-offset: -1px;
}

.awe-li.focus.awe-selected,
.awe-row.focus.awe-selected {
  filter: brightness(97%);
  outline: 1px solid #afafaf;
  outline-offset: -1px;
}

/* dtp */
.o-dtp {
  text-align: center;
}

.o-dtpp .o-pc {
  padding: 0;
}

.o-inl.o-dtp {
  border: 1px solid gainsboro;
}

.o-dtp .o-outm,
.o-day.o-dsb {
  color: gainsboro;
  cursor: default;
}

.o-mnth {
  display: inline-block;
  position: relative;
  padding: 1em;
  background: #fff;
}

.o-mtop {
  padding: 0 3em;
  margin-bottom: 1em;
  height: 2em;
  line-height: 2em;
}

.o-cmbtn {
  position: absolute;
  padding: 0.3em 0.7em;
  top: 0;
  background: none;
  border: none;
  font: inherit;
  height: 2.6em;
  width: 2.2em;
}

.o-mprv {
  left: 0.7em;
  top: 0.7em;
}

.o-mnxt {
  right: 0.7em;
  top: 0.7em;
}

.o-ym {
  text-align: center;
}

.o-ym .o-dd {
  padding: 0 0.15em;
}

.o-mhd,
.o-yhd {
  display: inline-block;
}

.o-txt {
  padding: 0 0.3em;
}

.o-day {
  cursor: pointer;
  padding: 0;
}

.o-day div {
  padding: 0.9em;
  text-align: right;
  min-width: 3.3em;
  box-sizing: border-box;
  border: 1px solid #fff;
  border-radius: 3px;
}

.o-dtp:not(.o-nhov) .o-day.o-enb div:hover,
.o-enb.o-hov div {
  background-color: #f0f0f0;
}

.o-day.o-tday div {
  border-color: gainsboro;
}

.o-enb.o-selday div {
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.2);
  background: #e3e3e3;
}

.o-cm .o-dd {
  min-width: 10em;
  width: 10em;
}

.o-cy .o-dd {
  min-width: 6.55em;
  width: 6.55em;
}

.o-tb {
  margin: auto;
}

.o-wdays {
  text-align: center;
}

.o-arw {
  border: solid #333;
  border-width: 0 2px 2px 0;
  display: inline-block;
  padding: 3px;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -0.25em;
}

.o-arw.right,
.awe-rtl .o-arw.left {
  transform: rotate(-45deg);
  margin-left: -0.4em;
}

.o-arw.left,
.awe-rtl .o-arw.right {
  transform: rotate(135deg);
  margin-left: -0.2em;
}

.o-arw.double.right,
.awe-rtl .o-arw.double.left {
  margin-left: -0.1em;
}

.o-arw.double.left,
.awe-rtl .o-arw.double.right {
  margin-left: -0.4em;
}

.o-arw.double::after {
  content: "";
  position: absolute;
  left: -5px;
  top: -5px;
  border: solid #333;
  border-width: 0 2px 2px 0;
  padding: 3px;
}

.o-cmbtn .o-arw {
  border-width: 0 3px 3px 0;
}

[disabled] .o-arw,
[disabled] .o-arw.double::after {
  border-color: gainsboro;
}

@media (max-width: 700px) {
  .o-mnth {
    padding: 0.7em 0.5em;
  }

  .o-day div {
    padding: 0.7em;
    min-width: 2.7em;
  }

  .o-mtop {
    padding: 0 2.3em;
    font-size: 0.9em;
  }

  .o-mprv,
  .o-mnxt {
    top: 0.6em;
  }
}

.o-mnth .awe-btn {
  border: none;
  background: transparent;
  color: #333;
}

/* notif */
.o-ntpc {
  position: fixed;
  top: 10px;
  left: 50%;
  transform: translate(-50%, 0);
  width: 300px;
  z-index: 2000;
}

@media (min-width: 576px) {
  .o-ntpc {
    width: 450px;
  }
}

.o-ntp {
  margin-bottom: 4px;
  overflow: hidden;
  border-radius: 4px;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.2);
  opacity: 0;
  position: relative;
  transition: transform 0.2s ease-in-out, opacity 0.3s ease-in-out,
    margin-top 1s;
  background-color: #fff;
  border: 1px solid #ccc;
}

.o-ntp.success {
  background-color: var(--color-success);
  color: #ffffff;
  border: 1px solid var(--color-success);
}

.o-ntp.error {
  background-color: var(--color-error);
  color: #ffffff;
  border: 1px solid var(--color-error);
}

.o-ntp.o-clsg {
  transition: opacity 1s, margin-top 1.3s;
}

.o-ntc {
  padding: 0.7em 2.5em 0.7em 1.2em;
  overflow: auto;
}

.o-ntp .o-cls {
  font-size: 17px;
  font-size: 1.3em;
  padding: 0.1rem 0.5rem;
}

.o-ntlb {
  position: absolute;
  left: 0;
  height: 100%;
  width: 10px;
  top: 0;
}

.o-err.o-ntp {
  color: white;
  background: #ce5252;
}

.o-err .o-cls {
  color: #fff;
}

/* ochk */

.o-ochk li,
.o-rdl li {
  margin-bottom: 0.7em;
}

.o-chk {
  box-sizing: border-box;
  white-space: nowrap;
  cursor: pointer;
  -webkit-user-select: none;
  position: relative;
  margin-left: 0;
  min-width: 1.4em;
  min-height: 1.4em;
  margin-right: 0.5em;
  vertical-align: middle;
  display: inline-block;
  z-index: 0;
}

.o-chk:active {
  outline: none;
}

.o-chkc {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  box-sizing: border-box;
  height: 1.4em;
  font-size: 0.97em;
}

.o-chkc .o-chkico {
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 0;
  width: 1.4em;
  height: 1.4em;
  border: 1px solid #bbb;
  border-radius: 2px;
  background: #fff;
}

.o-chk.o-chked .o-chkico {
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABUAAAAVCAQAAAADHm0dAAAABGdBTUEAALGPC/xhBQAAACBjSFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAAmJLR0QA/4ePzL8AAAAHdElNRQfiAxEGARbRH6KhAAAAwklEQVQoz9WSoQrCUBhGzycTkXXBIOwZRLAIYrOJRcQoWM36CIpJVuwLPoUPodViMGgQYdFwDZtjzm2YBL8LP/zcEy7nuzJ8m8LX5G9RhVMIVVXKQU04DTSZ04rWzxOljccooKzc5/XpsmcbLNlokTF1DsYV+ajNFIcjmwwDctWTJVRhhsMZl0fsNl6sOgw5sWOAzZUlPhgUGnlHYUIDgDsLboGhF5r06nEBfNYBmJCdsFljhZNaRor4cnpv+v//mpYnPh9EUZIm3cYAAAAldEVYdGRhdGU6Y3JlYXRlADIwMTgtMDMtMTdUMDY6MDE6MjItMDc6MDDLILVDAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDE4LTAzLTE3VDA2OjAxOjIyLTA3OjAwun0N/wAAAABJRU5ErkJggg==)
    no-repeat -3px center white;
  background-size: 115%;
}

.o-rdl .o-chk {
  transition: 0.28s ease;
}

.o-rdl .o-chk:before,
.o-rdl .o-chk:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  transition: 0.28s ease;
  border-radius: 50%;
  border: 1px solid #aaa;
  background: #fff;
}

.o-rdl .o-chk:after {
  transform: scale(0);
}

.o-rdl .o-chked.o-chk:after {
  background-color: #727979;
}

.awe-disabled .o-rdl .o-chk:before,
.awe-disabled .o-rdl .o-chk:after {
  border-color: #bbb;
}

.awe-disabled .o-rdl .o-chked.o-chk:after {
  background-color: #bbb;
}

.o-rdl .o-chked.o-chk:after {
  transform: scale(0.45);
}

.o-con {
  vertical-align: middle;
  display: inline-block;
}

.awe-disabled .o-chkc .o-chkico {
  background-color: #dcdcdc !important;
}

.awe-rtl .o-chk {
  margin-left: 0.5em;
  margin-right: 0;
}

.awe-rtl .o-chkc .o-chkico {
  right: 0;
  left: auto;
}

/* otoggl */

.o-tg:active {
  outline: none;
}

.o-tg {
  min-width: 4em;
  min-height: 2.2em;
  position: relative;
  overflow: hidden;
  display: inline-block;
  text-align: center;
  border-radius: 5px;
  border: 1px solid gainsboro;
  vertical-align: middle;
  line-height: 1.42857143;
}

.o-tgg {
  position: absolute;
  width: 200%;
  top: 0;
  bottom: 0;
  transition: left 0.35s;
  left: -100%;
}

.o-tgoff,
.o-tgon {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 50%;
  right: 0;
  margin: 0;
  border: 0;
  border-radius: 0;
  cursor: pointer;
}

.o-tgoff {
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  background: #e5e5e5;
}

:not(div.awe-disabled) .o-tg:hover .o-tgoff {
  background: #d3d3d3;
}

.o-tgon {
  left: 0;
  right: 50%;
  color: white;
  background: #4d90fe;
}

:not(div.awe-disabled) .o-tg:hover .o-tgon {
  background: #286090;
}

.o-tgh {
  height: 100%;
  border-radius: 4px;
}

.o-chked .o-tgg {
  left: 0;
}

.o-chked.o-tg {
  border-color: #4d90fe;
  background: #4d90fe;
}

.awe-disabled .o-tg {
  opacity: 0.64;
}

.o-ccon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

@-moz-document url-prefix() {
  .o-ccon {
    transform: translate(-50%, -50%) scale(1.01) translateZ(0); /* fix for ff */
    padding-bottom: 1px;
  }
}

.o-tgon .o-ccon {
  margin-left: -0.3em;
}

.o-tgoff .o-ccon {
  margin-left: 0.3em;
}

/* wave */
.o-wav {
  position: absolute;
  background: #ccc;
  opacity: 0.45;
  border-radius: 50%;
  width: 0;
  height: 0;
  border: none;
  outline: none;
  transform: translate(-50%, -50%);
  transition: all 0.7s ease-out;
}

.o-chk .o-wav,
.o-mobl .o-wav {
  transition: all 0.35s;
}

.o-wavc {
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  outline: none;
}

.o-wavs,
.awe-tab-btn,
.awe-col,
.awe-hc {
  position: relative;
  overflow: hidden;
  z-index: 0;
}

.awe-btn,
.awe-tab-btn {
  z-index: 0;
}
/* end wave */

@supports (-ms-ime-align: auto) {
  .awe-hc {
    position: initial;
  }

  .awe-hc .o-wavc {
    display: none;
  }
}

/* filter row */
.o-frow {
  border-top: 1px solid gainsboro;
}

.o-fcell {
  display: flex;
}

/* frozen cols */
.o-sfz {
  position: -webkit-sticky;
  position: sticky;
  z-index: 1;
}

.o-fzrb {
  border-left: 1px solid gainsboro;
  border-left-width: 2px;
}

.awe-rtl .o-fzrb {
  border-right: 1px solid gainsboro;
}

.awe-hgc.o-sfz {
  background: transparent;
  border: none !important;
}

.o-fzhgw {
  display: flex;
  height: 100%;
  top: 0;
  align-items: center;
  border: 1px solid gainsboro;
}
